Subject: Re: [bug#60429] [PATCH v3 0/5] gnu: yosys: Update to 0.24.
From: Christopher Baines <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 11 Feb 2023 20:38:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon South <[email-masked]> writes:

> Here's a third revision of the remaining two patches in this series.  These
> updated patches now
>
> - Remove the remaining propagated inputs (abc and z3) from the yosys package
>   via changes to its "fix-paths" and "use-external-abc" phases, and
>
> - Update Yosys to version 0.26.

Thanks for the update, I made a tweak and pushed these to master as
8553148dfb91a9957b95c7bc6bc108cc0a973f9e.

> Note the second patch adds python and python-click as new propagated inputs.
> The Click library is needed by the "yosys-witness" command, and including both
> it and the Python interpreter in propagated-inputs is the only combination
> I've found that will cause Guix to set GUIX_PYTHONPATH appropriately on
> installation so this command can function.
>
> This appears to be supported by the Guix manual (in the sections "Search
> Paths" and "Python Modules") but if there's a better approach, please let me
> know.

I believe the good approach to do this is to wrap the relevant
script. I've gone ahead and changed the patch to do this rather than add
the propagated inputs. Do let me know if there's a problem with this
approach though, as I don't know how to test this software as well as
you.

Thanks again,

Chris